<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>PlaceableShape (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PlaceableShape (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PlaceableShape.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/usermodel/PictureShape.html"
               title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
               title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/usermodel/PlaceableShape.html" target="_top">Frames</a>
        </li>
        <li><a href="PlaceableShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.sl.usermodel</div>
    <h2 title="Interface PlaceableShape" class="title">Interface PlaceableShape&lt;S extends <a
            href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
            title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
            href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
            title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
            href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
            title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Known Subinterfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/sl/usermodel/AutoShape.html"
                           title="interface in org.apache.poi.sl.usermodel">AutoShape</a>&lt;S,P&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/ConnectorShape.html"
                            title="interface in org.apache.poi.sl.usermodel">ConnectorShape</a>&lt;S,P&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/FreeformShape.html"
                            title="interface in org.apache.poi.sl.usermodel">FreeformShape</a>&lt;S,P&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/GraphicalFrame.html"
                            title="interface in org.apache.poi.sl.usermodel">GraphicalFrame</a>&lt;S,P&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/GroupShape.html"
                            title="interface in org.apache.poi.sl.usermodel">GroupShape</a>&lt;S,P&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/Line.html"
                            title="interface in org.apache.poi.sl.usermodel">Line</a>&lt;S,P&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/ObjectShape.html"
                            title="interface in org.apache.poi.sl.usermodel">ObjectShape</a>&lt;S,P&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/PictureShape.html"
                            title="interface in org.apache.poi.sl.usermodel">PictureShape</a>&lt;S,P&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html"
                            title="interface in org.apache.poi.sl.usermodel">SimpleShape</a>&lt;S,P&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/TableCell.html"
                            title="interface in org.apache.poi.sl.usermodel">TableCell</a>&lt;S,P&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/TableShape.html"
                            title="interface in org.apache.poi.sl.usermodel">TableShape</a>&lt;S,P&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/TextBox.html"
                            title="interface in org.apache.poi.sl.usermodel">TextBox</a>&lt;S,P&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/TextShape.html"
                            title="interface in org.apache.poi.sl.usermodel">TextShape</a>&lt;S,P&gt;
                    </dd>
                </dl>
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../org/apache/poi/hslf/model/ActiveXShape.html"
                           title="class in org.apache.poi.hslf.model">ActiveXShape</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFAutoShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFAutoShape</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFConnectorShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFConnectorShape</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFFreeformShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFFreeformShape</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFGroupShape</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFLine.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFLine</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFObjectShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFObjectShape</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFPictureShape</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholder.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFPlaceholder</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFSimpleShape</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTable.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTable</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTableCell.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTableCell</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextBox.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextBox</a>, <a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextShape</a>, <a
                            href="../../../../../org/apache/poi/hslf/model/MovieShape.html"
                            title="class in org.apache.poi.hslf.model">MovieShape</a>, <a
                            href="../../../../../org/apache/poi/hslf/model/Polygon.html"
                            title="class in org.apache.poi.hslf.model">Polygon</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFAutoShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFAutoShape</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFBackground.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFBackground</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFConnectorShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFConnectorShape</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFFreeformShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFFreeformShape</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFGraphicFrame.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFGraphicFrame</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFGroupShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFGroupShape</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFObjectShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFObjectShape</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFPictureShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFPictureShape</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFSimpleShape</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTable.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTable</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTableCell.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTableCell</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextBox.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTextBox</a>, <a
                            href="../../../../../org/apache/poi/xslf/usermodel/XSLFTextShape.html"
                            title="class in org.apache.poi.xslf.usermodel">XSLFTextShape</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public interface <span class="typeNameLabel">PlaceableShape&lt;S extends <a
                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                        title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;S,P&gt;,P extends <a
                        href="../../../../../org/apache/poi/sl/usermodel/TextParagraph.html"
                        title="interface in org.apache.poi.sl.usermodel">TextParagraph</a>&lt;S,P,? extends <a
                        href="../../../../../org/apache/poi/sl/usermodel/TextRun.html"
                        title="interface in org.apache.poi.sl.usermodel">TextRun</a>&gt;&gt;</span></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.awt.geom.Rectangle2D</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getAnchor--">getAnchor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getFlipHorizontal--">getFlipHorizontal</a></span>()</code>
                                    <div class="block">Whether the shape is horizontally flipped</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getFlipVertical--">getFlipVertical</a></span>()</code>
                                    <div class="block">Whether the shape is vertically flipped</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                        title="type parameter in PlaceableShape">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                        title="type parameter in PlaceableShape">P</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getParent--">getParent</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getRotation--">getRotation</a></span>()</code>
                                    <div class="block">Rotation angle in degrees</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.sl.usermodel">Sheet</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                        title="type parameter in PlaceableShape">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                        title="type parameter in PlaceableShape">P</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getSheet--">getSheet</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setAnchor-java.awt.geom.Rectangle2D-">setAnchor</a></span>(java.awt.geom.Rectangle2D&nbsp;anchor)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setFlipHorizontal-boolean-">setFlipHorizontal</a></span>(boolean&nbsp;flip)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setFlipVertical-boolean-">setFlipVertical</a></span>(boolean&nbsp;flip)</code>
                                    <div class="block">Whether the shape is vertically flipped</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setRotation-double-">setRotation</a></span>(double&nbsp;theta)</code>
                                    <div class="block">Rotate this shape.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getParent--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getParent</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                        title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                        title="type parameter in PlaceableShape">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                        title="type parameter in PlaceableShape">P</a>&gt;&nbsp;getParent()</pre>
                            </li>
                        </ul>
                        <a name="getSheet--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSheet</h4>
                                <pre><a href="../../../../../org/apache/poi/sl/usermodel/Sheet.html"
                                        title="interface in org.apache.poi.sl.usermodel">Sheet</a>&lt;<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                        title="type parameter in PlaceableShape">S</a>,<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                        title="type parameter in PlaceableShape">P</a>&gt;&nbsp;getSheet()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the sheet this shape belongs to</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAnchor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAnchor</h4>
                                <pre>java.awt.geom.Rectangle2D&nbsp;getAnchor()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the position of this shape within the drawing canvas.
                                        The coordinates are expressed in points
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setAnchor-java.awt.geom.Rectangle2D-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAnchor</h4>
                                <pre>void&nbsp;setAnchor(java.awt.geom.Rectangle2D&nbsp;anchor)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>anchor</code> - the position of this shape within the drawing canvas.
                                        The coordinates are expressed in points
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRotation--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRotation</h4>
                                <pre>double&nbsp;getRotation()</pre>
                                <div class="block">Rotation angle in degrees
                                    <p>
                                        Positive angles are clockwise (i.e., towards the positive y axis);
                                        negative angles are counter-clockwise (i.e., towards the negative y axis).
                                    </p></div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>rotation angle in degrees</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRotation-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRotation</h4>
                                <pre>void&nbsp;setRotation(double&nbsp;theta)</pre>
                                <div class="block">Rotate this shape.
                                    <p>
                                        Positive angles are clockwise (i.e., towards the positive y axis);
                                        negative angles are counter-clockwise (i.e., towards the negative y axis).
                                    </p></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>theta</code> - the rotation angle in degrees.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFlipHorizontal-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFlipHorizontal</h4>
                                <pre>void&nbsp;setFlipHorizontal(boolean&nbsp;flip)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>flip</code> - whether the shape is horizontally flipped</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFlipVertical-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFlipVertical</h4>
                                <pre>void&nbsp;setFlipVertical(boolean&nbsp;flip)</pre>
                                <div class="block">Whether the shape is vertically flipped</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>flip</code> - whether the shape is vertically flipped</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFlipHorizontal--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFlipHorizontal</h4>
                                <pre>boolean&nbsp;getFlipHorizontal()</pre>
                                <div class="block">Whether the shape is horizontally flipped</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>whether the shape is horizontally flipped</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFlipVertical--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getFlipVertical</h4>
                                <pre>boolean&nbsp;getFlipVertical()</pre>
                                <div class="block">Whether the shape is vertically flipped</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>whether the shape is vertically flipped</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PlaceableShape.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/sl/usermodel/PictureShape.html"
               title="interface in org.apache.poi.sl.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
               title="enum in org.apache.poi.sl.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/sl/usermodel/PlaceableShape.html" target="_top">Frames</a>
        </li>
        <li><a href="PlaceableShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
